# About

This directory contains a widget that wraps the Ace code editor. The web site
can be found at:

  https://ace.c9.io/

The source code can be found in the following GitHub repository:

  https://github.com/ajaxorg/ace/

# Licensing

The Ace editor is licensed under the BSD license:

  https://github.com/ajaxorg/ace/blob/master/LICENSE

# Updating

Ace distributions can be found in the following repository:

  https://github.com/ajaxorg/ace-builds

The Ace editor includes a stripped down implementation of RequireJS. Since Vinyl
itself uses RequireJS, we need to use the `src-min-noconflict` version.

With the noted exceptions below, remove the following files to reduce the widget
(and Vinyl distribution) size:

 * `ext-*`
 * `keybindings-*`
 * `mode-*`
 * `theme-*`
 * `worker-*`

The following modes have been included:

 * `mode-csharp`
 * `mode-css`
 * `mode-html`
 * `mode-javascript`
 * `mode-json`
 * `mode-sql`
 * `mode-text` (Vinyl default)
 * `mode-xml`
 * `mode-mvsql` (Custom made for Vinyl)

The following themes have been included:

 * `theme-tomorrow_night` (Vinyl default)
 * `theme-tomorrow`

The following workers have been included:

 * `worker-css`
 * `worker-html`
 * `worker-javascript`
 * `worker-json`
 * `worker-xml`

The following extensions have been included:
 * `ext-language_tool` (allows auto-complete)
